# SourcePath: e2fsprogs/20200207dev
Summary: The EXT2 file system utilities and libraries.
Name: sony-target-dev-e2fsprogs
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-e2fsprogs
Version: 1.43.4
Release: 14000102
URL: http://e2fsprogs.sourceforge.net
Source: e2fsprogs-%{version}.tar.gz
# some system does not have strtoull, change to strtoul if no strtoull.
Patch1: e2fsprogs-%{version}-check-strtoull.patch
# glibc strptime requires define of _XOPEN_SOURCE, but NetBSD doesn't.
Patch2: e2fsprogs-%{version}-xopensource.patch
# fix test fail, if using busybox cp.
Patch3: e2fsprogs-%{version}-dont-cp-devnull.patch
# pyro patches
Patch4: 0001-e2fsck-exit-with-exit-status-0-if-no-errors-were-fix.patch
Patch5: e2fsprogs-%{version}-fix-missing-check-for-permission-denied.patch
Patch6: e2fsprogs-%{version}-CVE-2019-5094.patch
Patch7: e2fsprogs-%{version}-CVE-2019-5188-1.patch
Patch8: e2fsprogs-%{version}-CVE-2019-5188-2.patch
License: GPL2 / LGPL2 / BSD / MIT
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_relocation}


%description
EXT2 stands for "Extended Filesystem", version 2. It's the main
filesystem type used for hard disks on Linux systems.

This package contains programs for creating, checking, and maintaining EXT2
filesystems, and the generic `fsck' wrapper.


%package -n %{pkgname}
Group: %{sony_group}
Summary: The EXT2 file system utilities and libraries.
AutoReqProv: no

%description -n %{pkgname}
EXT2 stands for "Extended Filesystem", version 2. It's the main
filesystem type used for hard disks on Linux systems.

This package contains programs for creating, checking, and maintaining EXT2
filesystems, and the generic `fsck' wrapper.


%prep
%setup -q -n e2fsprogs-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1


%build
%sony_target_dev_setup
%target_acplatvars
chmod 755 configure
autoconf
%fix_pkg_config
%sony_target_dev_configure \
	--sysconfdir=%{sony_target_dev_sysconf_dir} \
	--bindir=%{sony_target_dev_dir}/bin \
	--sbindir=%{sony_target_dev_dir}/sbin \
	--includedir=%{sony_target_dev_include_dir} \
	--enable-elf-shlibs \
	--enable-dynamic-e2fsck \
	--disable-libuuid \
	--disable-libblkid \
	--disable-uuidd
make BUILD_CC=gcc all | tee -a build.log


%install
rm -rf %{buildroot}
rm -rf %{buildroot}-bak
%sony_target_dev_install_setup
# use DESTDIR instead of prefix macro.
%sony_target_dev_makeinstall install-libs | tee -a build.log

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/info

# These links are wrong... fix them!
cd %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}
ln -sf libcom_err.so.2 libcom_err.so
ln -sf libe2p.so.2     libe2p.so
ln -sf libext2fs.so.2  libext2fs.so
ln -sf libss.so.2      libss.so


# 6.x
#mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_bin_dir}
#mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_bin_dir}/*-config \
#        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_bin_dir}
#rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_bin_dir}

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.a \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done


#rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin/fsck
#rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin/uuidd

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_dir}/bin/chattr
%{sony_target_dir}%{sony_target_dev_dir}/bin/compile_et
%{sony_target_dir}%{sony_target_dev_dir}/bin/lsattr
%{sony_target_dir}%{sony_target_dev_dir}/bin/mk_cmds
%{sony_target_dir}%{sony_target_dev_dir}/sbin/badblocks
%{sony_target_dir}%{sony_target_dev_dir}/sbin/debugfs
%{sony_target_dir}%{sony_target_dev_dir}/sbin/dumpe2fs
%{sony_target_dir}%{sony_target_dev_dir}/sbin/e2freefrag
%{sony_target_dir}%{sony_target_dev_dir}/sbin/e2fsck
%{sony_target_dir}%{sony_target_dev_dir}/sbin/e2image
%{sony_target_dir}%{sony_target_dev_dir}/sbin/e2label
%{sony_target_dir}%{sony_target_dev_dir}/sbin/e2undo
%{sony_target_dir}%{sony_target_dev_dir}/sbin/e4defrag
%{sony_target_dir}%{sony_target_dev_dir}/sbin/e4crypt
%{sony_target_dir}%{sony_target_dev_dir}/sbin/filefrag
%{sony_target_dir}%{sony_target_dev_dir}/sbin/fsck
%{sony_target_dir}%{sony_target_dev_dir}/sbin/fsck.ext2
%{sony_target_dir}%{sony_target_dev_dir}/sbin/fsck.ext3
%{sony_target_dir}%{sony_target_dev_dir}/sbin/fsck.ext4
%{sony_target_dir}%{sony_target_dev_dir}/sbin/fuse2fs
#%{sony_target_dir}%{sony_target_dev_dir}/sbin/fsck.ext4dev
%{sony_target_dir}%{sony_target_dev_dir}/sbin/logsave
%{sony_target_dir}%{sony_target_dev_dir}/sbin/mke2fs
%{sony_target_dir}%{sony_target_dev_dir}/sbin/mkfs.ext2
%{sony_target_dir}%{sony_target_dev_dir}/sbin/mkfs.ext3
%{sony_target_dir}%{sony_target_dev_dir}/sbin/mkfs.ext4
#%{sony_target_dir}%{sony_target_dev_dir}/sbin/mkfs.ext4dev
%{sony_target_dir}%{sony_target_dev_dir}/sbin/mklost+found
%{sony_target_dir}%{sony_target_dev_dir}/sbin/resize2fs
%{sony_target_dir}%{sony_target_dev_dir}/sbin/tune2fs
#%{sony_target_dir}%{sony_target_dev_dir}/sbin/uuidd
%{sony_target_dir}%{sony_target_dev_lib_dir}/e2initrd_helper
%{sony_target_dir}%{sony_target_dev_lib_dir}/libcom_err.*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libe2p.*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libext2fs.*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libss.*
#%{sony_target_dir}%{sony_target_dev_lib_dir}/libquota.*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/com_err.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/e2p.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/ext2fs.pc
#%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/quota.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/ss.pc
%{sony_target_dir}%{sony_target_dev_include_dir}/e2p/e2p.h
%{sony_target_dir}%{sony_target_dev_include_dir}/et/com_err.h
%{sony_target_dir}%{sony_target_dev_include_dir}/ext2fs/bitops.h
%{sony_target_dir}%{sony_target_dev_include_dir}/ext2fs/ext2_err.h
%{sony_target_dir}%{sony_target_dev_include_dir}/ext2fs/ext2_ext_attr.h
%{sony_target_dir}%{sony_target_dev_include_dir}/ext2fs/ext2_fs.h
%{sony_target_dir}%{sony_target_dev_include_dir}/ext2fs/ext2_io.h
%{sony_target_dir}%{sony_target_dev_include_dir}/ext2fs/ext2_types.h
%{sony_target_dir}%{sony_target_dev_include_dir}/ext2fs/ext2fs.h
%{sony_target_dir}%{sony_target_dev_include_dir}/ext2fs/ext3_extents.h
%{sony_target_dir}%{sony_target_dev_include_dir}/ext2fs/tdb.h
%{sony_target_dir}%{sony_target_dev_include_dir}/ss/ss.h
%{sony_target_dir}%{sony_target_dev_include_dir}/ss/ss_err.h
%{sony_target_dir}%{sony_target_dev_include_dir}/com_err.h
%{sony_target_dir}%{sony_target_dev_include_dir}/ext2fs/qcow2.h
#%{sony_target_dir}%{sony_target_dev_include_dir}/quota/mkquota.h
%{sony_target_dir}%{sony_target_dev_data_dir}/et/et_c.awk
%{sony_target_dir}%{sony_target_dev_data_dir}/et/et_h.awk
%{sony_target_dir}%{sony_target_dev_data_dir}/ss/ct_c.awk
%{sony_target_dir}%{sony_target_dev_data_dir}/ss/ct_c.sed
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/mke2fs.conf

%{sony_target_dir}%{sony_target_devtool_lib_dir}/*.a

%changelog
* Tue Dec 01 2020 Sony Corporation
- Builded to resolve util-linux-ng build dependency

* Mon Oct 12 2020 Sony Corporation
- Initial build for CE Linux 14.0.1.X

* Wed Feb 12 2020 Sony Corporation 
- Added Patches for CVE-2019-5094 and CVE-2019-5188

* Wed Jun 07 2017 Sony Corporation
- updated 1.42.9 -> 1.43.4

* Wed Feb 01 2017 Sony Corporation
- Merge patches from jethro

* Wed Jan 18 2017 Sony Corporation
- updated 1.42.7 -> 1.42.9

* Wed Jul 17 2013 Sony Corporation
- Removed blkid and uuid support

* Mon Apr 01 2013 Sony Corporation
- Version up to 1.42.7

* Mon Dec 19 2011 Sony Corporation
- Version up to 1.42

* Tue Oct 12 2010 Sony Corporation
- Update man/info install path

* Thu Jun 24 2010 Sony Corporation
- Updated %fix_pkg_config in sony.rpmmacros (#10815)

* Mon Apr 28 2008 Sony Corporation
- Version up to 1.40.8.

* Mon Jan 21 2008 Sony Corporation
- Version up to 1.40.4.

* Wed Oct 17 2007 Sony Corporation
- add inode acl endian bug fix patch

* Fri Sep 07 2007 Sony Corporation
- Version up to 1.40.2.

* Tue Apr 24 2007 Sony Corporation
- add d_loaddump,swapfs(ppc32) bug fix patch

* Thu Apr 12 2007 Sony Corporation
- add arm fsck bug fix patch

* Tue May 10 2005 Sony Corporation
- modify symblic link path

* Tue Nov 11 2004 Sony Corporation
- add Distribution,Vendor,Packager

* Wed Nov 10 2004 Sony Corporation
- Name: e2fsprog -> sony-target-dev-e2fsprogs
- modify macro %target_acplatvars

* Thu Nov 02 2004 Sony Corporation - dev-e2fsprogs
- Initial build.
